# Build in the image created from the projects Dockerfile
ARG PROJECT_IMAGE
FROM $PROJECT_IMAGE

# Copy in a concrete configuration as a file of exports
COPY env configuration.yml $OUT/

# export specified variables (instead of passing in with docker run -e)
# set ASAN_OPTIONS durring compilation so we don't need --cap-add SYS_PTRACE
# e.g. in the following error:
#configure:4638: ./conftest
#==12319==LeakSanitizer has encountered a fatal error.
#==12319==HINT: For debugging, try setting environment variable LSAN_OPTIONS=verbosity=1:log_threads=1
#==12319==HINT: LeakSanitizer does not work under ptrace (strace, gdb, etc)
RUN . $OUT/env && ASAN_OPTIONS=detect_leaks=0 compile
